%define version   1.4.1
%define release   %mkrel 6

%define anthy_version      6620
%define m17n_lib_version   1.3.4

%define qtimmodule 1
%{?_with_qtimmodule: %{expand: %%global qtimmodule 1}}

%define uim_major 5
%define libname_orig lib%{name}
%define libname %mklibname %{name} %uim_major
%define develname %mklibname -d %{name}

%define custom_major 2
%define libcustom_orig libuim-custom
%define libcustom %mklibname uim-custom %custom_major

%define gcroots_major 0
%define libgcroots_orig libgcroots
%define libgcroots %mklibname gcroots %gcroots_major

Name:      uim
Summary:   Uim is a multilingual input method library 
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPL or BSD
URL:       http://code.google.com/p/uim/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

# latest snapshot
# Source0:   http://freedesktop.org/~tkng/uim-trunk.tar.bz2
Source0:   http://uim.freedesktop.org/releases/%{name}-%{version}.tar.bz2

Requires:        %{libname} = %{version}
Requires:        uim-gtk
Requires:        anthy >= %{anthy_version}
Requires:        m17n-lib >= %{m17n_lib_version}
Requires:        skkdic
Requires(post):   %_bindir/gtk-query-immodules-2.0
Requires(postun): %_bindir/gtk-query-immodules-2.0
Conflicts:       gtk+2.0 < 2.4.4-2mdk
Obsoletes:       uim-anthy, uim-m17nlib, uim-prime, uim-skk
Provides:        uim-anthy, uim-m17nlib, uim-prime, uim-skk
BuildRequires:   qt3-devel >= 3.3.4-9mdk
BuildRequires:   gtk+2-devel >= 2.4.0
BuildRequires:   libgnome2-devel
BuildRequires:   gnome-panel-devel
BuildRequires:   m17n-lib-devel >= %{m17n_lib_version}
BuildRequires:   libanthy-devel >= %{anthy_version}
BuildRequires:   intltool
BuildRequires:   libncurses-devel, automake1.8
BuildRequires:   kdelibs-devel

%description
Uim is a multilingual input method library. Uim's project goal is 
to provide secure and useful input method for all languages.


%package   gtk
Summary:   GNOME helper for uim
Group:     System/Internationalization
Requires:  %{name} = %{version}
Requires:  gtk2
Provides:  uim-applet-gtk
Provides:  uim-applet = %{version}

%description gtk
GNOME helper for uim. It contains some apps like toolbar, 
system tray, applet, candidate window for Uim library.

%package   qt
Summary:   KDE helper for uim
Group:     System/Internationalization
Requires:  %{name} = %{version}
Requires:  qt3 > 3.3.4-9mdk
Provides:  uim-applet = %{version}

%description qt
KDE helper for uim. It contains some apps like toolbar, 
system tray, applet, candidate window for Uim library.

%package   qtimmodule
Summary:   A plugin for using UIM on qt-immodule
Group:     System/Internationalization
Requires:  %{name} = %{version}
Requires:  qt3 > 3.3.4-9mdk
Obsoletes: quiminputcontextplugin

%description qtimmodule
A plugin for using UIM on qt-immodule.

%package    base
Summary:    Misc files needed by UIM library
Group:      System/Internationalization
Conflicts:  %{mklibname uim 1}
Conflicts:  %{mklibname uim 5} < 1.4.0-1mdv

%description base
Misc files needed by UIM library.

%package -n %{libname}
Summary:    UIM library
Group:      System/Internationalization
Provides:   %{libname_orig} = %{version}-%{release}
Requires:   uim-base
Conflicts:  %{mklibname uim 1}

%description -n %{libname}
UIM library.

%package -n %{develname}
Summary:    Headers of uim for development
Group:      Development/C
Requires:   %{libname} = %{version}
Provides:   %{name}-devel = %{version}-%{release}
Provides:   %{libname_orig}-devel = %{version}-%{release}
Obsoletes:  %{libname}-devel

%description -n %{develname}
Headers of %{name} for development.

%package -n %{libcustom}
Summary:    Custom library for UIM.
Group:      System/Internationalization
Provides:   %{libcustom_orig} = %{version}-%{release}
Conflicts:  %{mklibname uim 1}

%description -n %{libcustom}
Custom library for UIM.

%package -n %{libgcroots}
Summary:    Gcroots library for UIM.
Group:      System/Internationalization
Provides:   %{libgcroots_orig} = %{version}-%{release}
Conflicts:  %{mklibname uim 1}

%description -n %{libgcroots}
ohis library abstracts architecture-dependent part of garbage collector
roots acquisition such as register windows of SPARC and register stack
backing store of IA-64. 

With this library, one can easily write his own garbage collector for
small footprint, some application-specific optimizations, just learning or
testing experimental ideas.

%prep
%setup -q

%build
[[ ! -x configure ]] && ./autogen.sh

# (gb) don't bother with making a proper patch at this time
perl -pi -e '/QTLIBDIR=.+\/lib/ and s,/lib,/%{_lib},' configure

%configure \
   --with-m17nlib \
   --without-canna \
   --without-prime \
   --without-scim \
   --without-eb \
%if %qtimmodule
   --with-qt-immodule \
%endif
   --with-qt \
   --enable-dict \
   --disable-warnings-into-error

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary devel files
rm -f %{buildroot}%{_libdir}/gtk-2.0/*/immodules/*.{a,la}

# remove docs for sigscheme (they should be installed by %doc)
rm -rf %{buildroot}%{_datadir}/doc/sigscheme

%if %qtimmodule
mkdir -p %{buildroot}%{qt3plugins}/inputmethods/
mv %{buildroot}/%{qt3dir}/plugins/inputmethods/*.so %{buildroot}%{qt3plugins}/inputmethods/
rm -rf %{buildroot}/%{qt3dir}/plugins/inputmethods/
%endif

%find_lang %{name}
%find_lang uim-chardict-qt

%clean
rm -rf $RPM_BUILD_ROOT


%post gtk
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%postun gtk
gtk-query-immodules-2.0 > %{_sysconfdir}/gtk-2.0/gtk.immodules.%_lib

%post qtimmodule -p /sbin/ldconfig

%postun qtimmodule -p /sbin/ldconfig

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING README
%doc sigscheme/doc/*
%{_bindir}/uim-el*-agent
%{_bindir}/uim-fep*
%{_bindir}/uim-module-manager
%{_bindir}/uim-sh
%{_bindir}/uim-xim
%{_datadir}/applications/*
%{_datadir}/emacs/site-lisp/uim-el/*.el
%{_mandir}/man1/*
%{_datadir}/uim/*.scm
%{_datadir}/uim/helperdata/*
%{_datadir}/uim/pixmaps/*

%files gtk
%defattr(-,root,root)
%doc COPYING
%{_bindir}/uim-*-gtk*
%{_bindir}/uim-input-pad-ja
%{_libdir}/uim-candwin-gtk
%{_libdir}/gtk-2.0/*/immodules/*.so

%files qt -f uim-chardict-qt.lang
%defattr(-,root,root)
%doc COPYING
%{_bindir}/uim-*-qt*
%{_datadir}/apps/kicker/applets/uimapplet.desktop
%{_libdir}/kde3/uim_panelapplet.so
%{_libdir}/uim-candwin-qt

%if %qtimmodule
%files qtimmodule
%defattr(-,root,root)
%doc COPYING
%dir %{qt3plugins}/inputmethods/
%{qt3plugins}/inputmethods/*.so
%endif

%files base
%defattr(-,root,root)
%{_libdir}/uim-helper-server
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/uim-toolbar-applet
%{_libdir}/uim/plugin/libuim-*.so

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libuim.so.%{uim_major}*

%files -n %{libgcroots}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libgcroots.so.%{gcroots_major}*

%files -n %{libcustom}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/libuim-custom.so.%{custom_major}*

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/kde3/uim_panelapplet.la
%{_libdir}/pkgconfig/*.pc
%{_libdir}/uim/plugin/libuim-*.la


%changelog
* Fri Sep 21 2007 Pixel <pixel@mandriva.com> 1.4.1-6mdv2008.0
+ Revision: 91744
- fix subfile-not-in-%%lang issue: LC_MESSAGES/uim-chardict-qt.mo must be handled
  by find_lang, and is better in uim-qt

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-5mdv2008.0
+ Revision: 90342
- rebuild

* Mon Aug 27 2007 Pixel <pixel@mandriva.com> 1.4.1-4mdv2008.0
+ Revision: 71846
- rebuild for fixed find-lang.pl

* Thu Aug 23 2007 Funda Wang <fundawang@mandriva.org> 1.4.1-3mdv2008.0
+ Revision: 69839
- Obsoletes quiminputcontextplugin

  + Thierry Vignaud <tvignaud@mandriva.com>
    - replace %%{_datadir}/man by %%{_mandir}!

* Sat Jul 07 2007 Funda Wang <fundawang@mandriva.org> 1.4.1-2mdv2008.0
+ Revision: 49340
- New develpackage policy
- new homepage URL

* Mon Apr 23 2007 Funda Wang <fundawang@mandriva.org> 1.4.1-1mdv2008.0
+ Revision: 17161
- New upstream version 1.4.1
- use qt3* macros rather than lib-magic.


* Tue Feb 27 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.0-2mdv2007.0
+ Revision: 126599
- fix upgrade (#28959):
  o split all libraries in their own packages
  o split non versionated stuff needed by library users in uim-base
- ensure one cannot build a wrong package when major is bumped

* Tue Feb 20 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.4.0-1mdv2007.1
+ Revision: 123079
- kill bogus provides & obsoletes
- add kdelibs-devel to buildrequires (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
- new release (utumi)
- new release

* Wed Oct 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-3.svn3879.1mdv2007.0
+ Revision: 66002
- latest snapshot (fix Bugzilla #24472) (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Thu Aug 17 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.1-1mdv2007.0
+ Revision: 56451
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Fri Aug 11 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-1mdv2007.0
+ Revision: 55507
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Fri Aug 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-0.2mdv2007.0
+ Revision: 43071
- new release (1.2.0-beta) (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

  + Helio Chissini de Castro <helio@mandriva.com>
    - Uploading package ./uim

* Tue May 10 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.6-7.svn0837.1mdk
- remove patch0,1 (merged upstream)
- latest snapshot

* Wed Mar 30 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.6-7.svn0811.1mdk
- add skkserv support (patch0,1)
- latest snapshot
- update source2,3,4 for prime-1.0.0.1
- add some comments for new packagers
- modify buildrequires

* Wed Mar 30 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.6-6mdk
- ensure either qt or gtk is installed with uim so that setup panel, helper
  toolbar etc... works (#14947)

* Tue Mar 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.6-5mdk
- fix upgrade (uim-applet is dead)

* Sat Mar 12 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.4.6-4mdk
- add BuildRequires: libanthy-devel, libncurses-devel

* Thu Mar 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.6-3mdk
- fix build on lib64 platforms
- fix buildrequires (again, titi watch out!)

* Wed Mar 02 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.6-2mdk
- update source2 for prime-0.9.4-rc1
- add obsoletes prime <= 0.9.4-0.alpha3.1mdk
- fix requires

* Mon Feb 28 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.6-1mdk
- new release (uim-0.4.6-final)
- replace prime.scm (source2)
- add uim-qtimmodule (default = disabled)

* Wed Feb 23 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.6-1.beta2.3mdk
- add source1 uim-update-imlist
- (uim doesn't update im engine list automatically)

* Tue Feb 22 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.6-1.beta2.2mdk
- split in several subpackages (uim-anthy, uim-m17n, uim-prime, uim-skk)

* Mon Feb 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.6-1.beta2.1mdk
- fix requires (rpmlint)
- new release (security fix) (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Fri Feb 18 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.6-0.svn0667.2mdk
- change buildrequires prime-dict to libprime
- add buildrequires kdelibs-devel (for uim-qt)
- add buildrequires libeb-devel (for electronic book support)
- remove "post qt" and "postun qt". uim-qt doesn't have libraries.

* Thu Feb 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.6-0.svn0667.1mdk
- fix buildrequires
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o latest snapshot (uim-0.4.6-alpha)
  o spec cleanup
  o add uim-gtk, uim-qt
  o uim-applet is merged into libuim0

* Wed Feb 16 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.5-5.20050113.3mdk
- fix requires

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.5-5.20050113.2mdk
- kill wrong buildrequires

* Thu Jan 13 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.5-5.20050113.1mdk
- latest snapshot
- add "Prereq:  gtk-query-immodules-2.0"
- remove prime.scm (It should be installed by prime. prime-x.y.z needs prime-x.y.z.scm.)

* Thu Dec 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.5-4mdk
- add patch0, patch1
- remove "--with-canna", "--enable-dict" (experimental)

* Sun Nov 14 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.5-3mdk
- new release
- add BuildRequires: canna-devel (another Japanese translation engine)
- add uim-dict (a tool for managing dictionary)

* Fri Oct 22 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.3-2mdk
- mklibname fixes
- no XFCE4 applet generated

* Sun Sep 05 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.3-1mdk
- new release

* Sun Aug 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.2.1-1mdk
- new release

* Fri Jul 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.2-1mdk
- new release
- fix build from official releases
- fix uim-fep build

* Fri Jul 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.1-3.svn1041.1mdk
- svn 1041

* Thu Jul 29 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.4.1-3.svn1029.1mdk
- svn 1029

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-2.svn0997.2mdk
- biarch support

* Wed Jul 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.4.1-2.svn0997.1mdk
- do not package useless files in doc
- UTUMI Hirosi <utuhiro78@yahoo.co.jp>:
  o new release
  o svn 997

* Wed Jun 30 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.9-2.svn912.2mdk
- svn 912
- (source) svn checkout http://freedesktop.org:8080/svn/uim/trunk

* Tue Jun 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.9-1mdk
- new release
- remove patch 0 (merged upstream)

* Mon Jun 14 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.8-4mdk
- svn 899
- add patch0 (made by James - it will be merged)

* Wed Jun 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-3mdk
- rebuild for new g++

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-2mdk
- add m17n support (UTUMI Hirosi)

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.8-1mdk
- new release
- do not overwrite config files on update

* Fri Apr 09 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.4.2-2mdk
- fix duplicated buildrequires

* Thu Apr 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.4.2-1mdk
- new release
- fix buildrequires
- include download url in source0
- change summary and description (UTUMI Hirosi, by authors request)
- link with gtk+2.4.0 (because of new immodules path)

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.3-1mdk
- new release
- drop patches 0 and 1 (merged upstream)

* Fri Mar 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.8-5mdk
- Patch1: fix crash in nautilus

* Mon Mar 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.8-4mdk
- patch 0: fix numeric pad in KDE applications (transmitted by UTUMI Hirosi)

